#ifndef HEAD_MAP
#define HEAD_MAP

#include "obj.h"
#include "img.h"
#include "lib.h"
#include "gen.h"
#include <vector>
#include <string>

const int INIPXLSPERMOVE = 5;
extern int pxlsPerMove;

class Map {

	private:

	bool loaded;
	int focX, focY;
	Lib_Clr bkgdClr;

	typedef std::vector<MapObj *> MapObjs;
	MapObjs mapObjs;

	public:

	Map ();
	~Map () { ; }

	inline int retFocX () { return focX; }
	inline int retFocY () { return focY; }

	void load ( std::string mapFile );
	void destroy ();

	inline std::vector<MapObj *>::iterator addMapObj ( MapObj * mapObj ) { mapObjs . push_back ( mapObj ); std::vector<MapObj *>::iterator it = mapObjs . end (); it--; return ( it ); }

	void draw ();
	bool emptyPxl ( int x, int y );

	void setFoc ( int x, int y );
};

extern Map * gameMap;

#endif