#ifndef HEAD_SCRIPT
#define HEAD_SCRIPT

#include "cond.h"
#include "result.h"
#include <string>
#include <vector>

const char DIV = ':';
const char ARG1 = '{';
const char ARG2 = '}';
const char ARGDIV = ',';

class Actor;



// Scripts

class Script {

	private:

	CondList condList;
	ResultList resultList;

	public:

	Script ( Actor * self, std::string line );
	~Script () { ; }

	void run ();
};

class ScriptList {

	private:

	Actor * self;
	typedef std::vector<Script *> Scripts;
	Scripts scripts;

	public:

	ScriptList ( Actor * self );
	~ScriptList ();

	void addScript ( std::string line );
	void run ();
};

#endif