#ifndef HEAD_IMG
#define HEAD_IMG

#include "gen.h"
#include "lib.h"
#include <map>
#include <string>

class ImgList {

	private:

	bool loaded;

	typedef std::map <int, Sprite *> SpriteMap;

	SpriteMap spriteMap;

	public:

	ImgList ();
	~ImgList ();

	void load ( std::string fileName );
	void destroy ();

	int addImg ( Sprite * sprite );
	Sprite * retImg ( int imgId );
};

extern ImgList * imgList;

#endif