#include "npc.h"
#include "gen.h"
#include <string>
#include <map>
using namespace std;



// Npc

Npc::Npc ( string npcDir, int x, int y )
: Actor ( npcDir, x, y ) {
	;
}

void Npc::run () {
	Actor::run ();
}



// Npcs

const char LIST_HEADINDICATOR = '^';
const char LIST_DATADELIMIT = ' ';

const string LIST_NPCS ( "^Npcs" );

Npcs npcs;

void loadNpcs ( string npcListFile ) {
	FileIn npcsIn ( npcListFile );

	string line;
	while ( ! npcsIn . eof () ) {
		line = npcsIn . getLine ();
		if ( line == LIST_NPCS ) {
			if ( npcsIn . eof () )
				break;
			line = npcsIn . getLine ();
			while ( line [ 0 ] != LIST_HEADINDICATOR ) {
				int x = atoi ( line . substr ( 0, line . find ( LIST_DATADELIMIT ) ) . c_str () );
				line = line . substr ( line . find ( LIST_DATADELIMIT ) + 1, string::npos );
				int y = atoi ( line . substr ( 0, line . find ( LIST_DATADELIMIT ) ) . c_str () );
				line = line . substr ( line . find ( LIST_DATADELIMIT ) + 1, string::npos );

				Npc * npc = new Npc ( line, x, y );
				string npcName = npc -> retName ();
				npcs [ npcName ] = npc;

				if ( npcsIn . eof () )
					break;
				line = npcsIn . getLine ();
			}
		}
	}
}

void destroyNpcs () {
	for ( Npcs::iterator it = npcs . begin (); it != npcs . end (); it++ )
		delete (*it) . second;
	npcs . clear ();
}