#ifndef HEAD_STATS
#define HEAD_STATS

#include "lib.h"
#include <string>
#include <map>

class Stats {

	private:

	static const int DEFVAL = 100;

	std::map <std::string, int> stats;

	public:

	int & operator [] ( std::string statName ) {
		if ( stats . find ( statName ) == stats . end () )
			fatErrMsg ( "Attempt to access non-existent stat \"" + statName + "\"." );
		else
			return stats [ statName ];
	}

	Stats ( std::string statFile );
	~Stats () { stats . clear (); }
};

#endif